using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkRelationRefundTopApiRefundRptOption
{

    /*
        pagesize
    */
    private long? pageSize;


    /*
        1-维权发起时间，2-订单结算时间（正向订单），3-维权完成时间，4-订单创建时间，5-订单更新时间
    */
    private long? searchType;


    /*
        1 表示2方，2表示3方，0表示不限
    */
    private long? refundType;


    /*
        开始时间
    */
    private DateTime? startTime;


    /*
        pagenumber
    */
    private long? pageNo;


    /*
        1代表渠道关系id，2代表会员关系id
    */
    private long? bizType;



    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("search_type")]
    public long? SearchType
    {
        get => searchType;
        set => this.searchType = value;
    }

    [JsonPropertyName("refund_type")]
    public long? RefundType
    {
        get => refundType;
        set => this.refundType = value;
    }

    [JsonPropertyName("start_time")]
    public DateTime? StartTime
    {
        get => startTime;
        set => this.startTime = value;
    }

    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("biz_type")]
    public long? BizType
    {
        get => bizType;
        set => this.bizType = value;
    }

}

